%define pyver %(%{__python} -c "import sys; print sys.version[:3]")
%undefine _enable_debug_packages
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pysvn
Version:        1.5.0
Release:        1%{?dist}
Summary:        Python SVN Extension
# Don't you hate a source download URL that changes for every release ?
Source:         http://pysvn.tigris.org/files/documents/1233/34994/pysvn-1.5.0.tar.gz
Patch:          pysvn.parse.patch
Patch2:         pysvn.norpath.patch
License:        APL
Group:          Development/Languages
URL:            http://pysvn.tigris.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  gcc-c++
BuildRequires:  subversion-devel
BuildRequires:  apr-devel
BuildRequires:  apr-util-devel
BuildRequires:  krb5-devel
BuildRequires:  neon-devel

%description
pysvn Extension Features:

    * Supports all svn client features
    * Supports svn transaction features required to write svn pre-commit hooks
    * Easy to learn and use
    * Python like interface
    * Good Documentation and examples
    * No need to understand the Subversion C API 

%prep
%setup -q
%patch -p1
%patch2 -p1

%build

cd Source
python setup.py configure
make

%install
rm -rf $RPM_BUILD_ROOT

# Install.html says we need to do this manually
cd Source
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pysvn
install -m 644 pysvn/__init__.py $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pysvn
install -m 644 pysvn/_pysvn.so $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pysvn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt Docs/*.html Docs/*.js
%{_libdir}/python*.*/site-packages/pysvn

%changelog
* Sun Dec 17 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.5.0-1
- new upstream release
- patch out a destructor that does not work with some gcc 4.1 snapshots
- remove -rpath from setup.py
- add neon-devel and krb5-devel buildreqs

* Sun Mar 19 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.4.1-2
- added apr-devel, apr-util-devel, and a patch to the include searching

* Sat Mar 04 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- initial package
